App

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Public Attributes | Private Member Functions | Private Attributes | List of all members
mhr.appcore.bitmap.Depth Enum Reference

Výčet reprezentující bitovou hloubku bitmapy. More...

## Public Member Functions
int | getBytesPerChannel ()
| vrací počet bajtů na kanál pro danou hodnotu výčtu.

## Static Public Member Functions
static Depth | fromBytesPerChannel (int bytesPerChannel)
| Vrací hodnotu výčtu, která reprezentuje daný počet bajtů na kanál.

## Public Attributes
| INVALID_DEPTH =(0)
| DEPTH_8_BIT =(1)

## Private Member Functions
| Depth (int bytesPerChannel)
| Výchozí konstruktor, přiřadí odpovídající počet kanálů.

## Private Attributes
final int | bytesPerChannel
| Udává, kolik bajtů na kanál bitmapa má.

## Detailed Description

Výčet reprezentující bitovou hloubku bitmapy.

Definition at line 6 of file Depth.java.

## Constructor & Destructor Documentation

mhr.appcore.bitmap.Depth.Depth | ( | int | bytesPerChannel | ) |
| inlineprivate

Výchozí konstruktor, přiřadí odpovídající počet kanálů.

Parameters

  bytesPerChannel |

Definition at line 16 of file Depth.java.

{
this.bytesPerChannel = bytesPerChannel;
}

## Member Function Documentation

static Depth mhr.appcore.bitmap.Depth.fromBytesPerChannel | ( | int | bytesPerChannel | ) |
| inlinestatic

Vrací hodnotu výčtu, která reprezentuje daný počet bajtů na kanál.

Parameters

  bytesPerChannel |

Returns

Definition at line 33 of file Depth.java.

{
switch (bytesPerChannel) {
case 1:
return Depth.DEPTH_8_BIT;
default:
return Depth.INVALID_DEPTH;
}
}

int mhr.appcore.bitmap.Depth.getBytesPerChannel | ( |  | ) |
| inline

vrací počet bajtů na kanál pro danou hodnotu výčtu.

Returns

Definition at line 24 of file Depth.java.

{
return bytesPerChannel;
}

## Member Data Documentation

final int mhr.appcore.bitmap.Depth.bytesPerChannel
| private

Udává, kolik bajtů na kanál bitmapa má.

Definition at line 10 of file Depth.java.

mhr.appcore.bitmap.Depth.DEPTH_8_BIT =(1)

Definition at line 8 of file Depth.java.

mhr.appcore.bitmap.Depth.INVALID_DEPTH =(0)

Definition at line 7 of file Depth.java.

The documentation for this enum was generated from the following file:

- /home/xxx/eclipse_workspaces/app/appcore/src/mhr/appcore/bitmap/Depth.java